Skip to main content
GET
/
product-offerings
/
{productOfferingId}
/
variants
Get device color variants for a product offering
curl --request GET \
  --url https://apiv2.example.com/product-offerings/{productOfferingId}/variants
{
  "variants": [
    {
      "productOfferingId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
      "color": "Midnight Black",
      "price": {
        "currency": "USD",
        "discount": 5,
        "netPrice": 5,
        "boundMonths": 12,
        "billingCycle": {
          "period": "MONTHLY",
          "interval": 1
        },
        "currencyOptions": {}
      },
      "inStock": true,
      "imageUrl": "https://cdn.example.com/images/iphone-black.png",
      "quantity": 10
    }
  ]
}

Path Parameters

productOfferingId
string
required

The unique identifier of the product offering to find variants for.

Response

Device color variants for the product offering.

variants
object[]
required

Color variants for this device, ordered by color name. Includes the requested offering.